Subject: bug#48273: Icedove 78.10.0 build stuck at 'unpack' phase

From: bo0od <[email-masked]>
Date: Tue, 11 May 2021 00:21:33 +0000

> In your original bug report, you stated that the build was stuck in the
 > 'unpack' phase of the 'icedove' package, and you attached a screenshot
 > showing that phase in-progress.

Good thanks for the notification, I didnt expect it takes really long 
time for it to move from one stage to another thus you see report and 
the uploaded text are different in what they are saying (because i 
actually run it and leave for half hour to couple of hours)

Since you said these are giving 2 different readings then the issue is 
with timing, So i kept it for like 24 hour (or more) and now i hope the 
log make more sense since there are too many fail,warnings..etc

https://gofile.io/d/Hy3axx

(I couldnt upload the txt file due to size limitation forced on emails)

Mark H Weaver:
> Hi,
> 
> In your original bug report, you stated that the build was stuck in the
> 'unpack' phase of the 'icedove' package, and you attached a screenshot
> showing that phase in-progress.
> 
> In this later followup message, you're stating something different: that
> it's getting stuck in an earlier package build, namely while building
> the 'icecat' source tarball.
> 
> Note that the 'icedove' package build cannot even begin until after the
> 'icecat' source tarball has been successfully built, so it seems that
> you had a fully built 'icecat' source tarball on your system at some
> point.
> 
> bo0od <[email-masked]> writes:
> 
>>   > Please try again with '--verbosity=3' [0] so that we can see what it's
>>
>> stuck here:
>>
>> "s|PACKAGES/icecat|PACKAGES/firefox|g;
>> s/GNU Public/Mozilla Public/g;
>> s/GNU Foundation/Mozilla Foundation/g;
>> s/GNU Corporation/Mozilla Corporation/g;
>> s/icecat\.com\>/firefox.com/g;
>> s/IceCat-Spdy/Firefox-Spdy/g;
>> s/icecat-accounts/firefox-accounts/g;
>> s/IceCatAccounts/FirefoxAccounts/g;
>> s|https://www\.mozilla\.org/icecat/?utm_source=synceol|https://www.mozilla.org/firefox/?utm_source=synceol|g;
>>
>> s|www\.gnu\.org/software/gnuzilla/icecat-help|libreplanet.org/wiki/Group:IceCat/Help|g;
>> ' '{}' ';'"
>>
>> (check the uploaded logs, i have done 2 attempts of installing icedove
>> and both stopped at the same place)
> 
> This part of the process takes a long time, but at least on my Thinkpad
> X200 system (Core 2 Duo, 4 GB RAM, 8 GB swap), it _does_ eventually
> finish.
> 
> Did the build attempt fail on its own, or did you abort it?
> 
>        Thanks,
>          Mark
>